Bug 45947 - redraw bug when undoing a bear-off
redraw bug when undoing a bear-off
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xgammon (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-25 20:12 EDT by Tim Mann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 20:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Mann 2001-06-25 20:12:20 EDT
Description of Problem:
If you undo a bearing-off move (that is, moving one of your men off the
board onto the edge of the board), the edge of the board is redrawn
incorrectly.  It ends up looking like one of the points on the board
instead of an edge.

How Reproducible:

Steps to Reproduce:
1. Play long enough that you can bear-off a man without completing your
move. (That is, without using both numbers rolled.)
2. Bear off one man.
3. Press "u" to undo your partial move, or select undo from the menus.

Actual Results:
Edge of board is redrawn looking like an upside-down point (a narrow
triangle, pointing downward) with one less man on it than before.  Man is
properly returned to where it came from.

Expected Results:
Edge of board is redrawn looking like the edge of the board, with one less
man on it than before.  Man is returned to where it came from.  (Duh.)

Additional Information:
Comment 1 Karsten Hopp 2001-08-23 10:10:04 EDT
xgammon has been dropped from the distribution and won't be included in the 
next release as there is no active maintainer and kbackgammon has one.


Note You need to log in before you can comment on or make changes to this bug.